# chartPopulateAreaData

## Description

An area chart displays quantitative data. It contains multiple line charts corresponding to the names defined in the legend. The area between the x-axis and lines are filled with color.

## Input / Parameter

| Name         | Description                                           | Input Type  | Default | Options | Required |
| ------------ | ----------------------------------------------------- | ----------- | ------- | ------- | -------- |
| component    | The name of the Chart component to take details from. | String/Text | -       | -       | Yes      |
| componentId  | The id of the Chart component to take details from.   | String/Text | -       | -       | No       |
| dataCaptions | The legend for each data.                             | Array/List  | -       | -       | No       |
| data         | The data values for each legend.                      | Array/List  | -       | -       | Yes      |
| dataColors   | The colors to be set for each legend.                 | Array/List  | -       | -       | No       |
| xCategories  | The labels for the categories on the x-axis.          | Array/List  | -       | -       | No       |
| yCaption     | The label for the x-axis.                             | String/Text | -       | -       | No       |
| xCaption     | The label for the y-axis.                             | String/Text | -       | -       | No       |
| showLabel    | To show or hide label.                                | Boolean     | false   | -       | No       |
| zoom         | To zoom or not to zoom.                               | Boolean     | false   | -       | No       |

## Output

N/A

Note: The Chart component will be updated with the area chart parameters specified.

## Callback

N/A

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/chart/chartpopulateareadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
